appflowy 3 年之前
父节点
当前提交
68b466502b
共有 3 个文件被更改,包括 40 次插入0 次删除
  1. 4 0
      .githook/pre-commit
  2. 21 0
      .githook/pre-push
  3. 15 0
      rust-lib/flowy-user/tests/sign_in.rs

+ 4 - 0
.githook/pre-commit

@@ -0,0 +1,4 @@
+#!/usr/bin/env bash
+
+#flutter format .
+

+ 21 - 0
.githook/pre-push

@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+cd flutter-lib
+if [[ `git status --porcelain` ]]; then
+  printf "\e[31;1m%s\e[0m\n" 'This script needs to run against committed code only. Please commit or stash you changes.'
+  exit 1
+fi
+printf "\e[33;1m%s\e[0m\n" 'Running the Flutter analyzer'
+flutter analyze
+if [ $? -ne 0 ]; then
+  printf "\e[31;1m%s\e[0m\n" 'Flutter analyzer error'
+  exit 1
+fi
+printf "\e[33;1m%s\e[0m\n" 'Finished running the Flutter analyzer'
+printf "\e[33;1m%s\e[0m\n" 'Running unit tests'
+
+#flutter test
+#if [ $? -ne 0 ]; then
+#  printf "\e[31;1m%s\e[0m\n" 'Unit tests error'
+#  exit 1
+#fi
+#printf "\e[33;1m%s\e[0m\n" 'Finished running unit tests'

+ 15 - 0
rust-lib/flowy-user/tests/sign_in.rs

@@ -16,6 +16,21 @@ fn sign_in_without_password() {
     dbg!(&result);
 }
 
+#[test]
+#[should_panic]
+fn sign_in_with_invalid_password() {
+    let params = UserSignInParams {
+        email: "[email protected]".to_string(),
+        password: "123".to_string(),
+    };
+
+    let result = EventTester::new(SignIn)
+        .payload(params)
+        .assert_status_code(StatusCode::Err)
+        .sync_send::<UserSignInResult>();
+    dbg!(&result);
+}
+
 #[test]
 #[should_panic]
 fn sign_in_without_email() {